MLAPI API Reference

# LagCompensationManager
Simulate Method (UInt32, Action)

[This is preliminary documentation and is subject to change.]

Turns time back a given amount of seconds, invokes an action and turns it back. The time is based on the estimated RTT of a clientId

Namespace: MLAPI.NetworkingManagerComponents.Core
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static void Simulate(
    	uint clientId,
    	Action action
    )

Request Example
View Source

#### Parameters

clientId
  Type: System
  UInt32
  The clientId's RTT to use
action
  Type: System
  Action
  The action to invoke when time is turned back

See Also

#### Reference

LagCompensationManager Class
Simulate Overload
MLAPI.NetworkingManagerComponents.Core Namespace